SDL_GetPenCapabilities(3)

NAME
SDL_GetPenCapabilities - Retrieves capability flags for a given SDL_PenID .

HEADER FILE
Defined in SDL3/SDL_pen.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_GetPenCapabilities(SDL_PenID instance_id, SDL_PenCapabilityInfo *capabilities);

FUNCTION PARAMETERS

instance_id
    The pen to query.

capabilities
    Detail information about pen capabilities, such as the number of buttons

RETURN VALUE
Returns a set of capability flags, cf. SDL_PEN_CAPABILITIES

AVAILABILITY
This function is available since SDL 3.0.0.